﻿@model ALK.Models.AspNetUser

@{
    ViewBag.Title = "Details";
}

<h2>Details</h2>

<div>
    <h4>AspNetUser</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.Email)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Email)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.PhoneNumber)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.PhoneNumber)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.UserName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.UserName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.FirstName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.FirstName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.LastName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.LastName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.BirthDate)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.BirthDate)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Phone)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Phone)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Address)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Address)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.DisplayName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.DisplayName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.DataFile.Name)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.DataFile.Name)
        </dd>

    </dl>
</div>
<p>
    @Html.ActionLink("Edit", "Edit", new { id = Model.Id }) |
    @Html.ActionLink("Back to List", "Index")
</p>

<div class="row" >

    <div class="col-lg-5">
        <p> Sellel kasutajal on järgmised rollid</p>
        @foreach (var x in Model.AspNetRoles)
        {
            @*<p>@x.Name</p>*@
            <p>@Html.ActionLink($"- {x.Name}", "RemoveRole", new { id = Model.Id, roleId = x.Id })</p>


            @*using (Html.BeginForm("RemoveRole", "Users", method: FormMethod.Post))
            {
                <input type="hidden" name="roleId" value="@x.Id" />
                <input type="hidden" name="id" value="@Model.Id" />
                <input type="submit" value="@($"- {x.Name}") " class="btn btn-default" />
            }*@
        }
    </div>

    <div class="col-lg-5">
         <p>Süsteemis on meil sellised rollid</p>            
        @foreach (var x in ViewBag.Roles)
        {
            @*<p>@x.Name</p>*@ 
            <p>@Html.ActionLink($"+ {x.Name}", "AddRole", new { id = Model.Id, roleId = x.Id })</p>

            @*using (Html.BeginForm("AddRole", "Users", method: FormMethod.Post))
            {
            <input type="hidden" name="roleId" value="@x.Id" />
            <input type="hidden" name="id" value="@Model.Id" />
            <input type="submit" value="@($"+ {x.Name}")" class="btn btn-default" />
            }*@
        }
        
    </div>
</div>